using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamSpreadSheet_Persian
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        CultureInfo persianCultureInfo = new CultureInfo("fa-Ir");
        public MainWindow()
        {
            InitializeComponent();
            Thread.CurrentThread.CurrentCulture = persianCultureInfo;
            Thread.CurrentThread.CurrentUICulture = persianCultureInfo;
        }

        private void XamSpreadsheet_Loaded(object sender, RoutedEventArgs e)
        {
            xamSpreadSheet1.Workbook.Culture = persianCultureInfo;
            var cell = xamSpreadSheet1.ActiveWorksheet.GetCell("A1");
            cell.Value = "3.1415926535";
        }
    }
}
